%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-PerlIO-utf8_strict
Version:       0.010
Release:       2mamba
Summary:       PerlIO::utf8_strict - Fast and correct UTF-8 IO
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org/
Source:        http://search.cpan.org/CPAN/authors/id/L/LE/LEONT/PerlIO-utf8_strict-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-devel
## AUTOBUILDREQ-END
BuildRequires: perl >= 2:5.36.0
BuildRequires: perl-devel
Requires:      perl >= %perl_major_ver

%description
PerlIO::utf8_strict - Fast and correct UTF-8 IO.

%prep
%setup -q -n PerlIO-utf8_strict-%{version}

%build
%{__perl} Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor OPTIMIZE="%{optflags}"

%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

find %{buildroot} -name *.so -exec chmod u+w {} \;

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Sat Apr 15 2023 Sdk Build System <sdk@mambasoft.it> 0.010-2mamba
- rebuilt with perl 5.36.0

* Sat Mar 11 2023 Automatic Build System <autodist@mambasoft.it> 0.010-1mamba
- automatic version update by autodist

* Wed Nov 09 2016 Silvan Calarco <silvan.calarco@mambasoft.it> 0.005-2mamba
- rebuilt with perl 5.24

* Wed Dec 03 2014 Automatic Build System <autodist@mambasoft.it> 0.005-1mamba
- automatic update by autodist

* Mon Nov 03 2014 Silvan Calarco <silvan.calarco@mambasoft.it> 0.004-1mamba
- package created using the webbuild interface
